declare namespace HttprInterceptorHeader {

    /**
     * HTTP Header interceptor.
     */

    export class HeaderInterceptor extends HttprInterceptor {
        protected header: string;
        protected value: string;

        /**
         * Create a header interceptor instance.
         *
         * @param {string} header - header key.
         * @param {string} value - header value.
         */
        constructor(header: string, value: string);

        /**
         * Sets a header to the request settings.
         * @param {HttpRequestSettings} settings - current request settings.
         * @returns {HttpRequestSettings} modified settings.
         */
        beforeRequest(settings: HttpRequestSettings): HttpRequestSettings;
    }
}

declare module 'httpr-interceptor-header' { export = HttprInterceptorHeader; }